[oe-commits] Koen Kooi : libgles-omap3: depend on proper fbset, set rgba correctly for 32bpp and try to enable tripple buffering

git version control git at git.openembedded.org
Mon Feb 22 09:47:30 UTC 2010


Module: openembedded.git
Branch: org.openembedded.dev
Commit: fe179a8cbf2c14fef21b37df6a124cdad6b4930c
URL:    http://gitweb.openembedded.net/?p=openembedded.git&a=commit;h=fe179a8cbf2c14fef21b37df6a124cdad6b4930c

Author: Koen Kooi <koen at openembedded.org>
Date:   Mon Feb 22 10:45:42 2010 +0100

libgles-omap3: depend on proper fbset, set rgba correctly for 32bpp and try to enable tripple buffering

---

 .../libgles-omap3-3.01.00.02/rc.pvr                |   10 ++++++++++
 recipes/powervr-drivers/libgles-omap3.inc          |    2 +-
 .../powervr-drivers/libgles-omap3_3.01.00.02.bb    |    2 ++
 3 files changed, 13 insertions(+), 1 deletions(-)

diff --git a/recipes/powervr-drivers/libgles-omap3-3.01.00.02/rc.pvr b/recipes/powervr-drivers/libgles-omap3-3.01.00.02/rc.pvr
index 1b3c274..2d34c4c 100755
--- a/recipes/powervr-drivers/libgles-omap3-3.01.00.02/rc.pvr
+++ b/recipes/powervr-drivers/libgles-omap3-3.01.00.02/rc.pvr
@@ -1,4 +1,8 @@
 #!/bin/sh
+PATH=$PATH:/usr/sbin
+
+BITSPERPIXEL="$(fbset | grep geom | awk '{print $6}')"
+YRES="$(fbset | grep geom | awk '{print $3}')"
 
 CPUTYPE="$(cputype)"
 
@@ -18,6 +22,12 @@ if [ "$1" = "stop" ]; then
 	exit 0
 fi
 
+if [ $BITSPERPIXEL = "32" ] ; then
+	fbset -rgba 8/16,8/8,8/0,8/24
+fi
+
+fbset -vyres $(expr $YRES \* 3) 
+
 if [ $CPUTYPE = "OMAP3530" ]; then
 	echo Starting PVR
 	insmod $(busybox find /lib/modules/$(uname -r) -name "pvrsrvkm.ko")
diff --git a/recipes/powervr-drivers/libgles-omap3.inc b/recipes/powervr-drivers/libgles-omap3.inc
index bf7adaa..27f732b 100644
--- a/recipes/powervr-drivers/libgles-omap3.inc
+++ b/recipes/powervr-drivers/libgles-omap3.inc
@@ -2,7 +2,7 @@ DESCRIPTION = "libGLES for the omap3"
 LICENCE = "proprietary-binary"
 
 COMPATIBLE_MACHINE = "(am3517-evm|beagleboard|cm-t35|igep0020|omap3-pandora|omap3-touchbook|omap3evm|omapzoom|omapzoom2|overo|palmpre)"
-RDEPENDS_${PN} += "devmem2"
+RDEPENDS_${PN} += "devmem2 fbset"
 
 #HACK! These are binaries, so we can't guarantee that LDFLAGS match :(
 INSANE_SKIP_${PN} = True
diff --git a/recipes/powervr-drivers/libgles-omap3_3.01.00.02.bb b/recipes/powervr-drivers/libgles-omap3_3.01.00.02.bb
index 532f7bb..81fff90 100644
--- a/recipes/powervr-drivers/libgles-omap3_3.01.00.02.bb
+++ b/recipes/powervr-drivers/libgles-omap3_3.01.00.02.bb
@@ -4,6 +4,8 @@ DEFAULT_PREFERENCE = "2"
 
 require libgles-omap3.inc
 
+PR = "r1"
+
 # download required binary distribution from:
 # http://software-dl.ti.com/dsps/forms/export.html?prod_no=/OMAP35x_Graphics_SDK_setuplinux_3_01_00_02.bin
 





More information about the Openembedded-commits mailing list